Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::FaissException Class Reference

Base class for Faiss exceptions. More...

`#include <FaissException.h>`

Inheritance diagram for faiss::FaissException:

## Public Member Functions
| FaissException (const std::string &msg)
| FaissException (const std::string &msg, const char *funcName, const char *file, int line)
const char * | what () const noexceptoverride
| from std::exception

## Public Attributes
std::string | msg

## Detailed Description

Base class for Faiss exceptions.

Definition at line 20 of file FaissException.h.

The documentation for this class was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/FaissException.h
- /data/users/matthijs/github_faiss/faiss/FaissException.cpp